LengthFilter (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.LengthFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis
Class LengthFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.FilteringTokenFilter
                      org.apache.lucene.analysis.LengthFilter

All Implemented Interfaces:
  Closeable

    public final class LengthFilter

extends FilteringTokenFilter

Removes words that are too long or too short from the stream.

Note: Length is calculated as the number of UTF-16 code units.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`LengthFilter(boolean enablePositionIncrements, TokenStream in, int min, int max)` Build a filter that removes words that are too long or too short from the text.
`LengthFilter(TokenStream in, int min, int max)` Deprecated. Use `LengthFilter(boolean, TokenStream, int, int)` instead.

Method Summary
`boolean` | `accept()` Override this method and return if the current input token should be returned by `FilteringTokenFilter.incrementToken()`.

Methods inherited from class org.apache.lucene.analysis.FilteringTokenFilter
`getEnablePositionIncrements, incrementToken, reset, setEnablePositionIncrements`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LengthFilter

    public LengthFilter(boolean enablePositionIncrements,
                        TokenStream in,
                        int min,
                        int max)

  Build a filter that removes words that are too long or too short from the text.

### LengthFilter

    @Deprecated
    public LengthFilter(TokenStream in,
                                   int min,
                                   int max)

  Deprecated. Use `LengthFilter(boolean, TokenStream, int, int)` instead.

  Build a filter that removes words that are too long or too short from the text.

Method Detail

### accept

    public boolean accept()
                   throws IOException

  Description copied from class: `FilteringTokenFilter`
  Override this method and return if the current input token should be returned by `FilteringTokenFilter.incrementToken()`.

  Specified by:
    `accept` in class `FilteringTokenFilter`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD